<ion-header *ngIf="sensorPage" [translucent]="true">
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-icon slot="start" [name]="sensorPage.icon" [ngStyle]="{'color': sensorPage.color}"></ion-icon>
        <ion-title [ngStyle]="{'color': sensorPage.color}">{{ "HEADER.MENU." + sensorPage.title | translate }}</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content *ngIf="sensorPage" [fullscreen]="true">
    <ion-header collapse="condense">
        <ion-toolbar>
            <ion-title size="large">{{ sensorPage.title }}</ion-title>
        </ion-toolbar>
    </ion-header>

    <div id="container" *ngIf="chartData">
        <div>
            <div style="display: block">
                <canvas baseChart [datasets]="chartData.serie" [labels]="chartData.labels" [colors]="chartColors" [options]="lineChartOptions" [legend]="true" [chartType]="'line'"></canvas>
            </div>
        </div>

    </div>
</ion-content>